Patchwork [1/1] tools-testapps: add xserver in dependency

login
register
mail settings
Submitter Nitin A Kamble
Date June 5, 2013, 7:28 p.m.
Message ID <9d0b35fe8c4d81bc9034d7ab3086ba9550e63591.1370460463.git.nitin.a.kamble@intel.com>
Download mbox | patch
Permalink /patch/51193/
State New
Headers show

Comments

Nitin A Kamble - June 5, 2013, 7:28 p.m.
From: Nitin A Kamble <nitin.a.kamble@intel.com>

This package group adds packages needing Xserver, These packages
demand X drivers such as EMGD driver. And if the image does not
include Xserver then it causes a build error about Xserver like
this:
   Error: no package provides xorg-abi-video-8

Fix the issue by adding Xserver as one of the dependency.

Fixes this bug:
[YOCTO #4615]

Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com>
---
 meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Saul Wold - June 6, 2013, 3:17 a.m.
On 06/05/2013 12:28 PM, nitin.a.kamble@intel.com wrote:
> From: Nitin A Kamble <nitin.a.kamble@intel.com>
>
> This package group adds packages needing Xserver, These packages
> demand X drivers such as EMGD driver. And if the image does not
> include Xserver then it causes a build error about Xserver like
> this:
>     Error: no package provides xorg-abi-video-8
>
> Fix the issue by adding Xserver as one of the dependency.
>
> Fixes this bug:
> [YOCTO #4615]
>
> Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com>
> ---
>   meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb | 3 ++-
>   1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb b/meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb
> index 343ae1c..6619a98 100644
> --- a/meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb
> +++ b/meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb
> @@ -5,7 +5,7 @@
>   SUMMARY = "Testing tools/applications"
>   LICENSE = "MIT"
>
> -PR = "r2"
> +PR = "r3"
>
>   inherit packagegroup
>
> @@ -44,4 +44,5 @@ RDEPENDS_${PN} = "\
>       xvideo-tests \
>       ltp \
>       connman-client \
> +    xserver-xorg \
>
Nitin,

This seems like a stop-gap, what changed in the last few weeks that 
caused the -lsb bsps to stop working?  All the meta-yocto-bsp work 
correctly, so it's something to do with emgd.  Maybe there is a missing 
dependency in the emgd chain.

Sau!

     "
>

Patch

diff --git a/meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb b/meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb
index 343ae1c..6619a98 100644
--- a/meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb
+++ b/meta/recipes-core/packagegroups/packagegroup-core-tools-testapps.bb
@@ -5,7 +5,7 @@ 
 SUMMARY = "Testing tools/applications"
 LICENSE = "MIT"
 
-PR = "r2"
+PR = "r3"
 
 inherit packagegroup
 
@@ -44,4 +44,5 @@  RDEPENDS_${PN} = "\
     xvideo-tests \
     ltp \
     connman-client \
+    xserver-xorg \
     "